Skip to content

Close Virtual Account

| View as Markdown

This API will close a particular virtual account assigned to a merchant if we pass merchant id, virtual account no and UID correctly.

https://kraken.airpay.co.in/airpay/va/api/
FieldTypeDescription
Content-TypeStringapplication/x-www-form-urlencoded
FieldTypeDescription
actionStringAction to perform - close (required)
private_keyAlphanumericPrivate Key (length 10-200) (required)
private_key = hash(‘sha256’, secret.’@’.username.’:
merchant_idNumericMerchant Id (required)
virtual_account_numberNumericVirtual account number or UID Unique user identifier from the merchant is required
UIDNumericVirtual account number or UID Unique user identifier from the merchant is required
checksumAlphanumericHash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key) (required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=close' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=8fe4273d9389f71d58152b92402a19e3b7ef51a8'
FieldTypeDescription
STATUSNumberStatus Code Success - 200
Failed - 400
MESSAGEStringStatus Message
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
Virtual account is invalid - 526
HTTP/1.1 200 OK
{
"STATUS": "200",
"MESSAGE": "Success"
}
HTTP/1.1 200 OK
{
"STATUS": "400",
"MESSAGE": "Failed"
}